# GeolocationAccuracy

Namespace: **Wisej.Hybrid.Shared.Geolocation**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents levels of accuracy when determining the device location.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum GeolocationAccuracy : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum GeolocationAccuracy As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name        | Description                                                                                            |
| ----------- | ------------------------------------------------------------------------------------------------------ |
| **Best**    |                                                                                                        |
| **Default** | Represents default accuracy (Medium), typically within 30-500 meters.                                  |
| **High**    |                                                                                                        |
| **Low**     | Represents low accuracy, typically within 300-3000 meters.                                             |
| **Lowest**  | Represents the lowest accuracy, using the least power to obtain and typically within 1000-5000 meters. |
| **Medium**  | Represents medium accuracy, typically within 30-500 meters.                                            |

## Used By

| Name                                                                                                                                   | Description                                                  |
| -------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| [GeolocationRequest.DesiredAccuracy](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationrequest.md#desiredaccuracy) | Gets or sets the desired accuracy of the resulting location. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationaccuracy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
